# Bifocal

Bifocal is is a minimal theme for [Ghost](https://github.com/TryGhost/Ghost) based on Solo. It features a two-column layout when screen width allows and displays internal tags to the user.

# Instructions

1. Download this theme
2. Log into Ghost, and go to the `Design` settings area to upload the zip file

# Development

Edition styles are compiled using Gulp/PostCSS to polyfill future CSS spec. You'll need [Node](https://nodejs.org/), [Yarn](https://yarnpkg.com/) and [Gulp](https://gulpjs.com) installed globally. As an alternative, install [Nix](https://nixos.org/) and type `nix develop` with the experimental flakes feature enabled. After that, from the theme's root directory:

```bash
# Install
yarn

# Run build & watch for changes
yarn dev
```

Now you can edit `/assets/css/` files, which will be compiled to `/assets/built/` automatically.

The `zip` Gulp task packages the theme files into `dist/solo.zip`, which you can then upload to your site.

```bash
yarn zip
```

## Copyright & Licenses

Copyright (c) 2024 Jean Viscogliosi-Pate and released under the [MIT license](LICENSE).

Original [Solo](https://github.com/TryGhost/Solo) theme relased under the MIT license by Ghost Foundation.

Font is [Wanted Sans](https://github.com/wanteddev/wanted-sans), released under the SIL Open Font License 1.1 by Wanted Lab, Inc.

Email and RSS icons are from [Tabler Icons](https://github.com/tabler/tabler-icons), released under the MIT license by Paweł Kuna.

The cat that follows your cursor is [oneko.js](https://github.com/adryd325/oneko.js), released under the MIT license by adryd.

The JavaScript for generating a table of contents is [Tocbot](https://github.com/tscanlin/tocbot), released under the MIT license by Tim Scanlin.
